;*****************************************************************
;       BCD2ASC (BCD to ASCII conversion subroutine)
;
;       This routine converts the BCD number (0-9) in W to its
;	ASCII equivalent.  Output also in W register
;
;	Usefull to convert BCD values to ASCII characters for
;	display on a LCD or for serial transmission.
;
;	Input: BCD format number in W register
;	Output: ASCII equivalent in W register
;
;	Requires: nothing
;
;	Executed by:
;
;	MOVF	[REGISTER NAME],W
;	CALL	BCD2ASC
;
;	or
;
;	MOVLW	0x0N			; N any number 0 - 9
;	CALL	BCD2ASC
;
;	Note: you need to insure that the number in  does not
;	exceed 9.  Values greater than 9 will cause this routine
;	to fail.
;
;	DH MicroSystems, Inc.
;	WWW.DHMICRO.COM
;
;*****************************************************************
BCD2ASC	ADDWF	PCL,F
	RETLW	"0"
	RETLW	"1"
	RETLW	"2"
	RETLW	"3"
	RETLW	"4"
	RETLW	"5"
	RETLW	"6"
	RETLW	"7"
	RETLW	"8"
	RETLW	"9"